<div class="weui_search_bar" id="search_bar">
    <form class="weui_search_outer">
        <div class="weui_search_inner">
            <i class="weui_icon_search"></i>
            <input type="search" class="weui_search_input" id="search_input" placeholder="搜索" required/>
            <a href="javascript:" class="weui_icon_clear" id="search_clear"></a>
        </div>
        <label for="search_input" class="weui_search_text" id="search_text">
            <i class="weui_icon_search"></i>
            <span>搜索</span>
        </label>
    </form>
    <a href="javascript:" class="weui_search_cancel" id="search_cancel">取消</a>
</div>
<div class="weui_cells weui_cells_access weui_search_show" id="search_show">
    <div class="weui_cell">
        <div class="weui_cell_bd weui_cell_primary">
            <p>搜索结果1</p>
        </div>
    </div>
    <div class="weui_cell">
        <div class="weui_cell_bd weui_cell_primary">
            <p>搜索结果2</p>
        </div>
    </div>
    <div class="weui_cell">
        <div class="weui_cell_bd weui_cell_primary">
            <p>搜索结果4</p>
        </div>
    </div>
    <div class="weui_cell">
        <div class="weui_cell_bd weui_cell_primary">
            <p>搜索结果4</p>
        </div>
    </div>
</div>
<script type="text/javascript">
/*搜索框绑定事件*/
$(function(){
	$("#search_input").focus(function(){
		var $weuiSearchBar = $('#search_bar');
	    $weuiSearchBar.addClass('weui_search_focusing');
	    $('#search_text').hide();
	});

	$("#search_input").blur(function(){
		var $weuiSearchBar = $('#search_bar');
	    $weuiSearchBar.removeClass('weui_search_focusing');
	    if ($(this).val()) {
	        $('#search_text').hide();
	    } else {
	        $('#search_text').show();
	    }
	});

	$("#search_input").keyup(function(){
		var $searchShow = $("#search_show");
	    if ($(this).val()) {
	        $searchShow.show();
	    } else {
	        $searchShow.hide();
	    }
	});
	
	var search_cancel=$("#search_cancel");
	search_cancelDom=search_cancel[0];
	search_cancelDom.addEventListener('touchend',function(){
		$("#search_show").hide();
	    $('#search_input').val('');
	},false);
	
	var search_clear=$("#search_clear");
	search_clearDom=search_clear[0];
	search_clearDom.addEventListener('touchend',function(){
		$("#search_show").hide();
	    $('#search_input').val('');
	},false);
});
</script>